document.addEventListener("DOMContentLoaded" , function() {
    const tabla = document.querySelector('table');

    tabla.addEventListener("click", function(evento) {
       const botonEliminar = evento.target.closest(".boton-eliminar");

        if (botonEliminar) {
            // Obtener id del candidato a eliminar usando dataset
            const idCandidatoEliminar = botonEliminar.dataset.idCandidato;

            // Mostrar un mensaje de confirmación antes de eliminar
            if (!confirm("¿Desea eliminar al candidato " + idCandidatoEliminar + "?")) {
                return;
            }

            const data = new FormData();
            data.append("id_candidato", idCandidatoEliminar);


            fetch('../controllers/eliminarCandidato.php', {
                method: 'POST',
                body: data
            })
            .then(response => response.json())
            .then(data => {
                alert(data.mensaje);
                location.reload();
            })
            .catch((error) => {
                console.error('Error:', error);
            });
        }

    });
});